<script>
    setInterval(() => {
        let MONITORA_COZINHA   = '<?=MONITORA_COZINHA?>'
        console.log(MONITORA_COZINHA)

        if (MONITORA_COZINHA == '1'){
            procuraNotificacao()
        }
    }, 10000)
    
    function procuraNotificacao(){
	    let usuario = '<?=$_COOKIE['id']?>'
        
        fetch('notificacao_pesquisa.php?id=' + usuario)
        .then(resp => {
            if (resp.status == 202){
                swal(
                    'Alerta',
                    'Você tem Pedido pronto na Cozinha !',
                    'warning'
                );
                beep()
                setTimeout(beep, 1500)
                setTimeout(beep, 3000)
                vibrar()
            }
            return resp.json()
        })
        .then(json => {
            if (json.status == 202){
                fetch('notificacao_altera_status.php', {
                    method: 'POST',
                    body: JSON.stringify(json.retorno),
                    headers: {
                        'Accept': 'application/json',
                        'Content-Type': 'application/json'
                    }
                })
            }
        })
	}

    function beep() {
        var snd = new Audio("toque1.wav")
        snd.play();
    }

    function vibrar(){
        navigator.vibrate([500, 250, 500, 250, 500, 250, 500, 250, 500, 250, 500]) 
    }
</script>